# GetActionExclusion Method

## Description

Retrieves information for an action exclusion.

## HTTP Request

`GET https://api.skeddly.com/api/ActionExclusions/<id>`

## URL Parameters

### id

ID of the exclusion to retrieve.

Type: `string`

Required: Yes

## Returns

An [ActionExclusion](/data-types/actionexclusion-object.md) object.

## Sample Request

{% tabs %}
{% tab title="HTTP" %}

```http
GET /api/ActionExclusions/excl-00000001 HTTP/1.1
Host: api.skeddly.com
Authorization: AccessKey <api key>
```

{% endtab %}

{% tab title="Bash" %}

```bash
curl "https://api.skeddly.com/api/ActionExclusions/excl-00000001" \
  -H "Authorization: AccessKey <api key>"
```

{% endtab %}
{% endtabs %}

## Sample Response

```javascript
{
    "actionExclusionId": "excl-00000001",
    "projectId": "proj-00000001",

    "name": "My Exclusion",
    "status": "active",
    "isEnabled": true,

    "createdDate": "2020-05-12T11:36:00Z",
    "lastModifiedDate": "2020-05-12T11:36:00Z",
    "lastModifiedBy": "u-00000001",
    
    "startDate": "2020-05-15T00:00:00Z",
    "expiryDate": "2020-05-19T00:00:00Z",
    "timeZoneId": "Eastern Standard Time",
    
    "processes": [
        "start-resource",
        "stop-resource"
    ],
    
    "resourceType": "amazon-ec2-instance",
    
    "resourceIdentificationMethod": "by-resource-id",
    "resourceIds": [
        "i-12345678"
    ]
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.skeddly.com/resources/action-exclusions/getactionexclusion-method.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
